Skip to content

Most visited

Recently visited

navigation

Android 5.1 API

Nivel de API: 22

Android 5.1 (LOLLIPOP_MR1) es una actualización de la versión de Lollipop que ofrece funciones nuevas a los usuarios y a los desarrolladores de apps. En este documento se ofrece una introducción a las API nuevas más distinguidas.

Para ver en mayor profundidad las nuevas funciones de la plataforma, consulta las Funciones destacadas de Android Lollipop.

Actualización del nivel de tu API de destino

Para comenzar a desarrollar apps para Android 5.1, descarga a través de SDK Manager las imágenes de sistema y la plataforma de SDK de Android 5.1. A continuación, configura tu proyecto de desarrollo de app para que use un targetSdkVersion de "22". Instala tu app en una imagen de sistema de Android 5.1, pruébala y publica la app actualizada con este cambio.

Puedes usar las Android 5.1 API y, al mismo tiempo, mantener la compatibilidad con versiones anteriores si agregas condiciones a tu código que comprueben el nivel de la API del sistema antes de ejecutar las API no admitidas por minSdkVersion. Para obtener más información sobre cómo mantener la compatibilidad con versiones anteriores, consulta Compatibilidad con versiones de plataforma diferentes.

Para obtener más información sobre el funcionamiento de los niveles de API, consulta ¿Qué es un nivel de API?.

Compatibilidad con varias tarjetas SIM

En Android 5.1 se agrega compatibilidad para usar más de una tarjeta SIM de proveedores de telefonía móvil al mismo tiempo. Esta funcionalidad permite a los usuarios activar y usar tarjetas SIM adicionales en dispositivos con dos o más ranuras para tarjetas SIM.

Puedes tener acceso a la información sobre la tarjeta SIM actualmente activo con la clase SubscriptionManager; también puedes saber si se considera que el dispositivo está funciona con servicio de itinerancia en la red actual. Esta información es útil para los desarrolladores que deseen reducir o desactivar el acceso a datos en sus apps para usuarios de dispositivos que muestren susceptibilidad respecto del cobro por acceso a datos. La app puede recibir alertas sobre cambios en la conexión a red actual del dispositivo solicitando el permiso READ_PHONE_STATE y estableciendo SubscriptionManager.OnSubscriptionsChangedListener en el objeto SubscriptionManager.

Clases HTTP obsoletas

Las clases org.apache.http y la clase android.net.http.AndroidHttpClient han quedado en desuso en Android 5.1. Estas clases ya no reciben mantenimiento y debes migrar cualquier código de app que use estas API a las clases URLConnection lo más rápido posible.

Servicios para los proveedores

Android 5.1 permite que los proveedores de servicios de telecomunicaciones creen apps capaces de realizar tareas de aprovisionamiento para el proveedor en un dispositivo Android. Estas API proporcionan un método seguro y flexible para que las apps desarrolladas por proveedores realicen estas tareas y se distribuyan a través de Google Play. Las apps que usen estas funciones deben estar firmadas con un certificado que coincida con el certificado de la Tarjeta Universal de Circuito Integrado (UICC) del dispositivo.

Las API de servicios para proveedores se han agregado a la clase TelephonyManager, la clase SmsManager y la nueva clase CarrierMessagingService. Para comprobar el acceso a estas API, las apps pueden llamar al método hasCarrierPrivileges(). Las apps que llaman a estas API sin acceso reciben una SecurityException.

This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a one-minute survey?
Help us improve Android tools and documentation.